:root{
    --backgroundColor: #1e1e1e;
    --font: 'Roboto', sans-serif;
    --formBackgroundColor: #f2f2f2;
    --background-orange: #e35208
}

@import url('https://fonts.googleapis.com/css2?family=Montserrat+Alternates&family=Roboto&display=swap');

body{
    background-color: var(--backgroundColor);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
}

/* ?<< background visual >>*/
.background-visual{
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: -1;
    background-image: url(../imgs/background.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.background-visual .squear{
    width: 500px;
    height: 500px;
    transform: rotate(45deg);
    background-color: #7851a9;
    right: -90%;
    bottom: -60%;
    position: relative;
}

/* ? Registration side --> */

.registration-form{
    width: 500px;
    height: 600px;
    background-color: var(--formBackgroundColor);
    border-radius: 25px;
    color: #717171;
}

.form-inner{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;
    height: 100%;
    font-family: var(--font);
}

.form-inner h1{
    letter-spacing: 1px;
}

.form-inner form{
    width: 70%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.block input{
    width: 100%;
    height: 35px;
    border: 1px solid #000;
    font-size: 18px;
    outline: none;
    padding-left: 5px;
    background-color: transparent;
}

.block p{
    font-size: 20px;
    margin: 6px 0 6px 0;
}

.form-inner form button{
    width: 200px;
    height: 40px;
    font-size: 20px;
    letter-spacing: 1px;
    background-color: transparent;
    border: 1px solid #000;
    transition: all 0.3s ease;
    cursor: pointer;
}

.form-inner form button:hover{
    color: #f2f2f2;
    background-color: var(--backgroundColor);
}


/* ? sign in side >>*/

.signin-form{
    width: 500px;
    height: 440px;
    background-color: var(--formBackgroundColor);
    color: #717171;
    border-radius: 25px;
    display: none;
}

.signin-form .form-inner form{
    height: 200px;
}




/* ? small objects... */

.password-side{
    margin-top: 5px;
    height: 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.passStrong{
    width: 100%;
    height: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    visibility: hidden;
    transition: all 0.5s ease;
}

.passStrong-line{
    width: 100px;
    height: 100%;
    border-radius: 20px;
    transition: all 0.5s ease;
}


#icon{
    font-size: 50px;
    color: #fff;
    position: absolute;
    top: 30px;
    left: 50px;
    cursor: pointer;
}


@media screen and (max-width: 360px){

    .background-visual{
        display: none;
    }
    .forms{
        border-radius: 0;
    }

    .registration-form form button{
        width: 100%;
    }

    #icon{
        top: 10px;
        left: calc(50% - 20px);
    }
    
}

@media screen and (max-width: 600px){

    .background-visual{
        display: none;
    }
    .forms{
        border-radius: 0;
    }

    .registration-form form button{
        width: 100%;
    }

    #icon{
        top: 10px;
        left: calc(50% - 20px);
    }
    
}